unit EnableGoodies;

interface

procedure Register;

implementation

uses
  Classes, Forms, Menus;

procedure Register;
var
  Comp: TComponent;
begin
  //Make the hidden View | View Form As Text menu item visible
  //This menu item corresponds to Alt+F12
  Comp := Application.MainForm.FindComponent('ViewSwapSourceFormItem');
  if Comp is TMenuItem then
    TMenuItem(Comp).Visible := False;
  //Make the hidden View | Next Window menu item visible
  //This menu item corresponds to Alt+End
  Comp := Application.MainForm.FindComponent('ViewNextWindowItem');
  if Comp is TMenuItem then
    TMenuItem(Comp).Visible := False;
  //Make the hidden Project | Clear Unit Cache menu item visible
  //Thgis clears the IDE's cache of compiled unit symbols
  Comp := Application.MainForm.FindComponent('ProjectClearUnitCacheItem');
  if Comp is TMenuItem then
    TMenuItem(Comp).Visible := True;
  //Make the hidden Run | Run Without Debugging menu item visible
  //This lets you run the program with the debugger disabled
  Comp := Application.MainForm.FindComponent('RunRunNoDebugItem');
  if Comp is TMenuItem then
    TMenuItem(Comp).Visible := True;
  //Make Component Palette's Orientation context menu visible
  //This lets you move the switch its tabs from the top to the bottom
  Comp := Application.MainForm.FindComponent('PaletteOrientItem');
  if Comp is TMenuItem then
    TMenuItem(Comp).Visible := True;

  //The Component Palette is too short for left or right-aligned tabs to work well
  //Also, when you switch back to top or bottom, the Component Palette has
  //its MultiLine property set, but has not grown in height, so you lose
  //most of the component icons.
  //Consequently, it is best to leave these menu items invisible (unles
  //you want to have a quick test)

  //Make Component Palette's Orientation context menu Left item visible
  Comp := Application.MainForm.FindComponent('PaletteLeftItem');
  if Comp is TMenuItem then
    TMenuItem(Comp).Visible := True;
  //Make Component Palette's Orientation context menu Right item visible
  Comp := Application.MainForm.FindComponent('PaletteRightItem');
  if Comp is TMenuItem then
    TMenuItem(Comp).Visible := True;

end;

end.
